body.main {
    background-image: url(https://villy.neocities.org/a_regect/images/darkhole.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    margin: 0px;
    padding: 0px;
    height: 100vh;
}

h1 {
  color: white;
  text-align: center;
  font-size: 50px;
  text-shadow: 2px 2px 5px rgb(255, 0, 0), -2px -2px 5px gold, 0px 0px 5px black;
  margin: 0 auto 30px;
}

h2 {
    color: white;
  text-align: center;
  font-size: 50px;
  text-shadow: 2px 2px 5px rgb(255, 0, 0), -2px -2px 5px gold, 0px 0px 5px black;
  margin: 10px;
  padding: 10px;
}

button.back {
    border: 1px dotted;
    height: 5em;
    width: 5em;
    top: 1em;
    left: -25em;
    position: absolute;
    border-radius: 60%;
    background-image: url(https://villy.neocities.org/a_regect/images/eye.png);
    background-color: transparent;
    color: transparent;
    text-decoration: none;
    text-align: center;
    text-decoration: none;
    padding: 1.5em;
}

button.credits {
    background-image: url(https://villy.neocities.org/a_regect/images/sign.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    bottom: 0em;
    right: 3em;
    width: 9em;
    height: 15em;
    position: absolute;
    background-color: transparent;
    border: none;
}

button.home {
    border: 1px dotted;
    height: 5em;
    width: 5em;
    top: 1em;
    left: -25em;
    position: absolute;
    border-radius: 60%;
    background-color: rgba(23, 25, 58, 0.582);
    color: white;
    text-align: center;
    text-decoration: none;
    padding: 1.5em;
}

.car {
    overflow: hidden;
    height: fit-content;
    width: 30em;
    left: 45em;
    align-content: center baseline;
    position: static;
    bottom: -2em;
}
.carousel {
    min-width: 0px;
    display: flex;
    animation: scroll 20s linear infinite;
    width: max-content;
    height: max-content;
 }
.carousel img {
    flex-shrink: 1;
    }
@keyframes scroll {
         0% {
        transform: translateX(0);
           }
            100% {
        transform: translateX(-50%);
                }
              }


body.entrance {
    background-image: url(https://villy.neocities.org/a_regect/images/entrance.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    padding: 0px;
    margin: 0px;
}

body.downunder {
    background: url(https://villy.neocities.org/a_regect/images/downunder.jpg);
    background-color: rgba(250, 250, 250, 0.8);
    background-blend-mode: lighten;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 0px;
    margin: 0px;
}

body.moe {
background-image: url(https://villy.neocities.org/a_regect/images/bgmoe.png);
background-size: auto;
background-repeat: repeat;
padding: 0px;
margin: 0px;
top: 0px;
}

body.ze {
    background-image: url(https://villy.neocities.org/a_regect/images/camo.png);
    background-repeat: repeat;
    top: 0em;
    padding: 0em;
    margin: 0em;
}

body.credits {
background-image: url(https://villy.neocities.org/a_regect/images/starbg.jpg);
background-repeat: repeat;
}

.credits {
    color:white;
    align-self: center;
    margin: 10px;
    padding: 10px;
    align-items: center;
    justify-content: center;
    display: flex;
    background-color: rgba(128, 128, 128, 0.7);
    table, th, td {
        border: 1px solid gold;
    }
    td {
        text-align: center;
        vertical-align: middle;
        padding: 15px;
    }
    table {
        width: auto;
    }
}

.contentmoe {
    color: black;
  text-align: center;
  margin: 15px auto;
  width: 50%;
  border: 5px;
  padding: 5px;
  left: 250px;
  top: 100px;
  position: sticky;
  background-color: rgba(250, 250, 250, 0.65);
  border-radius: 50%;
}

.jukebox {
    position: relative;
    background-color: rgba(250, 250, 250, 0.3);
    margin: 2%;
    border-radius: 50%;
    width: 40%;
}


.jukebox ul {
    display: none;
    position: absolute;
    list-style-type: none;
    top: 0%;
    left: 100%;
}

.jukebox:hover ul, .activate:focus + ul, .jukebox:focus-within > ul {
    display: inline-block;
}


button.activate {
    background-color: transparent;
    background-repeat: no-repeat;
    overflow: hidden;
    height: 200px;
    width: 200px;
    border: none;
}

button.music {
    background-image: url(https://villy.neocities.org/a_regect/images/ticket.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border: none;
    text-overflow: ellipsis;
    background-color: transparent;
    font-family: 'Brush Script MT', cursive;
    margin: 15px;
    padding: 5px;
    width: 180px;
    height: 90px;
}

.playhorn {
    position: relative;
    align-content: center;
  justify-content: center;
  background-color: rgba(250, 250, 250, 0.3);
  border-radius: 50%;
    height: 200px;
    width: 200px;
    padding: 0px;
    margin: 10px;
}

button.horni {
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    cursor: pointer;
    overflow: hidden;
    outline: none;
    height: 200px;
    width: 200px;
    right: 50%;
    position: center;
}

button img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}

.leftphoto {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    top: 6em;
    left: -10em;
    gap: 1em;
    height: 20em;
    position: absolute;
}

.rightphoto {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    top: 6em;
    right: -10em;
    gap: 1em;
    height: 20em;
    position: absolute;
}

.calico {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 7em;
    width: 5em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.beetle {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 4em;
    width: 5em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.caramel {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 4em;
    width: 5em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.hammer {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 7em;
    width: 4em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.beachball {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 5em;
    width: 5em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.clowncat {
    background-color: rgba(250, 250, 250, 0.5);
    padding: 1em;
    border-radius: 50%;
    height: 7em;
    width: 5em;
    img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }
}

.moe {
    position: absolute;
    bottom: 43px;
    left:25%;
    height: 250px;
    width: auto;
}

.moe img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}

.zabooboo {
    position: absolute;
    bottom: 215px;
    left:11%;
    height: 250px;
    width: auto;
}

.zabooboo img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}

.regect {
    position: absolute;
    bottom: 10em;
    right: 6em;
    height: 240px;
    width: auto;
}

.regect img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}

.eyes {
    position: absolute;
    bottom: 205px;
    left: 47.9%;
    background-color: antiquewhite 0.75;
    width: 90px;
    height: 60px;
}

.eyes img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}


.door {
    position: absolute;
    bottom: 60px;
    left: 40em;
    background-color: antiquewhite 0.75;
    height: 250px;
    width: 150px;
}

.door img {
    height: 100%;
    width: 100%;
    object-fit: fill;
}

.down {
    position: absolute;
    bottom: 100px;
    left: 55%;
    background-color: black;
    opacity: 0.05;
    height: 100px;
    width: 200px;

}

.down:hover {
    background-color: gray;
    opacity: 0.5;
    animation: shake 1s;
    animation-iteration-count: infinite;
}


.allium {
    position: absolute;
    bottom: 440px;
    right: 60px;
    opacity: 0.75;
}


img:hover {
    animation: shake 1s;
    animation-iteration-count: infinite;
}

@keyframes shake {
0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}